---
title: fmt::formatter< T, char, std::enable_if_t< llarp::IsToStringFormattable< T > > >

---

# fmt::formatter< T, char, std::enable_if_t< llarp::IsToStringFormattable< T > > >



 [More...](#detailed-description)

Inherits from formatter< std::string_view >

## Public Functions

|                | Name           |
| -------------- | -------------- |
| template <typename FormatContext \> <br>auto | **[format](Classes/structfmt_1_1formatter_3_01T_00_01char_00_01std_1_1enable__if__t_3_01llarp_1_1IsToStringFormattable_3_01T_01_4_01_4_01_4.md#function-format)**(const T & val, FormatContext & ctx) const |

## Detailed Description

```cpp
template <typename T >
struct fmt::formatter< T, char, std::enable_if_t< llarp::IsToStringFormattable< T > > >;
```

## Public Functions Documentation

### function format

```cpp
template <typename FormatContext >
inline auto format(
    const T & val,
    FormatContext & ctx
) const
```


-------------------------------

Updated on 2023-01-09 at 16:43:38 +0000